#!/bin/csh -f

ps -ef | grep TestLsof.sh | awk '{print($2)}' > pidfile

echo "Enter staging directory path : "
read staging_dir
echo "Enter event directory path : "
read event_dir

if test -d $staging_dir
then
	if test -d $event_dir
	then
		while [ 1 ]
		do
			for i in $(ls -tr $staging_dir)
			do
				i=$staging_dir/$i
	             		if test -f $i
	        		then
					/usr/local/bin/lsof $i
					var=$?
					if [ $var -eq 0 ]
					then
						echo "Someone is operating on $i"	
					else
						echo "File is free"
						mv $i $event_dir
					fi
				fi
			done
		done
	else
	 	echo "Event directory specified does not exist."
	 	exit
	fi
else
	 echo "Staging directory specified does not exist."
	 exit
fi